<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>16.0</VCProjectVersion>
    <Keyword>Win32Proj</Keyword>
    <ProjectGuid>{7754df88-6822-4cb7-8438-e2e17cf2a6a2}</ProjectGuid>
    <RootNamespace>MARC3</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>$(SolutionDir)BIN\</OutDir>
    <TargetName>$(ProjectName)_d</TargetName>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(SolutionDir)BIN\</OutDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <AdditionalIncludeDirectories>../ThirdPartyLibs/vlc-4.0.0-dev/sdk/include/;../ThirdPartyLibs/SDL2-2.24.2/include/;../ThirdPartyLibs/GLEW-2.1.0/include/;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>Utils.h</PrecompiledHeaderFile>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <LanguageStandard>stdcpp17</LanguageStandard>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalDependencies>OpenGL32.lib;../ThirdPartyLibs/GLEW-2.1.0/lib/release/x64/glew32.lib;../ThirdPartyLibs/SDL2-2.24.2/lib/x64/SDL2.lib;../ThirdPartyLibs/SDL2-2.24.2/lib/x64/SDL2main.lib;../ThirdPartyLibs/vlc-4.0.0-dev/sdk/lib/libvlc.lib;../ThirdPartyLibs/vlc-4.0.0-dev/sdk/lib/libvlccore.lib;kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
    <PostBuildEvent>
      <Command>xcopy /Y "$(SolutionDir)ThirdPartyLibs\GLEW-2.1.0\bin\Release\x64\glew32.dll" "$(SolutionDir)Bin\"
xcopy /Y "$(SolutionDir)ThirdPartyLibs\SDL2-2.24.2\lib\x64\SDL2.dll" "$(SolutionDir)Bin\"
xcopy /Y "$(SolutionDir)ThirdPartyLibs\vlc-4.0.0-dev\libvlc.dll" "$(SolutionDir)Bin\"
xcopy /Y "$(SolutionDir)ThirdPartyLibs\vlc-4.0.0-dev\libvlccore.dll" "$(SolutionDir)Bin\"
xcopy /E /Y /Q "$(SolutionDir)ThirdPartyLibs\vlc-4.0.0-dev\plugins\" "$(SolutionDir)Bin\plugins\" 
xcopy /E /Y /Q "$(SolutionDir)ThirdPartyLibs\vlc-4.0.0-dev\hrtfs\" "$(SolutionDir)Bin\hrtfs\"
xcopy /Y "$(SolutionDir)ThirdPartyLibs\vlc-4.0.0-dev\axvlc.dll" "$(SolutionDir)Bin\"
</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <AdditionalIncludeDirectories>../ThirdPartyLibs/vlc-4.0.0-dev/sdk/include/;../ThirdPartyLibs/SDL2-2.24.2/include/;../ThirdPartyLibs/GLEW-2.1.0/include/;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>Utils.h</PrecompiledHeaderFile>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <LanguageStandard>stdcpp17</LanguageStandard>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalDependencies>OpenGL32.lib;../ThirdPartyLibs/SDL2-2.24.2/lib/x64/SDL2.lib;../ThirdPartyLibs/SDL2-2.24.2/lib/x64/SDL2main.lib;../ThirdPartyLibs/GLEW-2.1.0/lib/Release/x64/glew32.lib;../ThirdPartyLibs/vlc-4.0.0-dev/sdk/lib/libvlc.lib;../ThirdPartyLibs/vlc-4.0.0-dev/sdk/lib/libvlccore.lib;kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
    <PostBuildEvent>
      <Command>xcopy /Y "$(SolutionDir)ThirdPartyLibs\GLEW-2.1.0\bin\Release\x64\glew32.dll" "$(SolutionDir)Bin\"
xcopy /Y "$(SolutionDir)ThirdPartyLibs\SDL2-2.24.2\lib\x64\SDL2.dll" "$(SolutionDir)Bin\"
xcopy /Y "$(SolutionDir)ThirdPartyLibs\vlc-4.0.0-dev\libvlc.dll" "$(SolutionDir)Bin\"
xcopy /Y "$(SolutionDir)ThirdPartyLibs\vlc-4.0.0-dev\libvlccore.dll" "$(SolutionDir)Bin\"
xcopy /E /Y /Q "$(SolutionDir)ThirdPartyLibs\vlc-4.0.0-dev\plugins\" "$(SolutionDir)Bin\plugins\" 
xcopy /E /Y /Q "$(SolutionDir)ThirdPartyLibs\vlc-4.0.0-dev\hrtfs\" "$(SolutionDir)Bin\hrtfs\"
xcopy /Y "$(SolutionDir)ThirdPartyLibs\vlc-4.0.0-dev\axvlc.dll" "$(SolutionDir)Bin\"
</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="sdl_opengl_player.cpp" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
  <ProjectExtensions>
    <VisualStudio>
      <UserProperties />
    </VisualStudio>
  </ProjectExtensions>
</Project>